#ifndef ZSTDDEF_H
#define ZSTDDEF_H
/*****************************************************************************
* ZSTDDEF.H																						  *
*																									  *
* Some standard definitions																  *
*																									  *
* (c) Copyright 1996, Zonn Moore.  All rights reserved.							  *
*****************************************************************************/
typedef enum TLOGIC_E
{
	zFalse = 0,				// Logical False
	zTrue = 1,				// Logical True

	zNo = zFalse,			// Synounym for False
	zYes = zTrue,			// Synounym for True

	zOff = zFalse,			// Synounym for False
	zOn = zTrue,			// Synounym for True

	zReset = zFalse,
	zSet = zTrue,

	zOk = zFalse,
	zError = zTrue,

	zDisable = zFalse,
	zEnable = zTrue,
	zClear,					// Used to clear something
	zKeep,					// Used to keep something
} t_logic;

#if 0
enum t_control
{
	Disable,					// Disable something
	Enable,					// Enable something
	Clear,					// Clear something
	Keep,						// Keep something
};
#endif

typedef	unsigned char	uchar;
typedef	unsigned int	uint;
typedef	unsigned long	ulong;
typedef	signed char		schar;
typedef	signed int		sint;
typedef	signed long		slong;
#endif
